## ppx-derivers 1.2

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

.PHONY: all
all:
	jbuilder build @install

.PHONY: install
install:
	jbuilder install $(INSTALL_ARGS)

.PHONY: uninstall
uninstall:
	jbuilder uninstall $(INSTALL_ARGS)

.PHONY: reinstall
reinstall:
	$(MAKE) uninstall
	$(MAKE) install

.PHONY: clean
clean:
	rm -rf _build *.install
	find . -name .merlin -delete

=== debian/changelog ===
ppx-derivers (1.2-4) unstable; urgency=medium

  * Add build-dependency opam, needed since jbuilder invokes opam-installer

 -- Ralf Treinen <treinen@debian.org>  Tue, 10 Jul 2018 19:29:49 +0200

ppx-derivers (1.2-3) unstable; urgency=medium

  * d/rules: install using "jbuilder install"
  * build-dependencies: jbuilder renamed to dune
  * add libppx-derivers-ocaml-dev.docs to install README.md

 -- Ralf Treinen <treinen@debian.org>  Tue, 10 Jul 2018 08:59:24 +0200

ppx-derivers (1.2-2) unstable; urgency=medium

  * Update Vcs-* to salsa
  * Standards-Version : 4.1.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 09 Jul 2018 23:25:55 +0200

ppx-derivers (1.2-1) unstable; urgency=medium

  * Initial package (closes: #878803)

 -- Ralf Treinen <treinen@debian.org>  Mon, 05 Mar 2018 22:04:35 +0100

=== debian/control ===
Source: ppx-derivers
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-ocaml,
 ocaml-nox,
 dune,
 opam
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-derivers
Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-derivers.git
Homepage: https://github.com/diml/ppx_derivers

Package: libppx-derivers-ocaml-dev
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: interoperability of ppx-deriving and ppx-type-conv
 This package is useful when programming with ppx syntax extensions in
 the OCaml programming language. Its purpose is to allow the ppx_deriving
 and ppx_type_conv syntax extensions to interoperate gracefully when linked
 as part of the same ocaml-migrate-parsetree driver.

=== debian/rules ===
#!/usr/bin/make -f
PDIR := $(CURDIR)/debian/libppx-derivers-ocaml-dev
LIBDIR := $(PDIR)/usr/lib/ocaml

%:
	dh $@ --with ocaml

# upstream's install target is for opam
override_dh_auto_install:
	mkdir -p $(LIBDIR)
	jbuilder install --prefix=$(PDIR) --libdir=$(LIBDIR)
	# temporary fix until jbuilder install has a --docdir option
	rm -r $(PDIR)/doc

## ppx-derivers 1.2.1

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

.PHONY: all
all:
	dune build

.PHONY: install
install:
	dune install $(INSTALL_ARGS)

.PHONY: uninstall
uninstall:
	dune uninstall $(INSTALL_ARGS)

.PHONY: reinstall
reinstall:
	$(MAKE) uninstall
	$(MAKE) install

.PHONY: clean
clean:
	dune clean

=== debian/changelog ===
ppx-derivers (1.2.1-4build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 15:55:36 +0100

ppx-derivers (1.2.1-4build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:18:47 +0100

ppx-derivers (1.2.1-4) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 05:53:33 +0200

ppx-derivers (1.2.1-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 07:02:39 +0200

ppx-derivers (1.2.1-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 13:50:27 +0200

ppx-derivers (1.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2019 13:24:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 11),
- dh-ocaml,
- ocaml-nox,
- dune,
- opam
-Standards-Version: 4.1.5
+ debhelper-compat (= 13),
+ dh-ocaml (>= 1.2),
+ ocaml,
+ ocaml-dune
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-derivers
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-derivers.git
 Homepage: https://github.com/diml/ppx_derivers
@@ -27,4 +27,3 @@
  the OCaml programming language. Its purpose is to allow the ppx_deriving
  and ppx_type_conv syntax extensions to interoperate gracefully when linked
  as part of the same ocaml-migrate-parsetree driver.
-

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/ppx_derivers-$1\.tar\.gz/ \
  https://github.com/ocaml-ppx/ppx_derivers/tags .*/(\d\S+)\.tar\.gz
